﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour CreerCompte.xaml
    /// </summary>
    public partial class CreerCompte : Window
    {
        public CreerCompte()
        {
            InitializeComponent();
        }

        public ManagerUsers MgrUser => (Application.Current as App).LeManagerUser;

        private void exit_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void Connection_Click(object sender, RoutedEventArgs e)
        {
            var connectWindow = new SeConnecter();
            Close();
            connectWindow.ShowDialog();
        }

        private void inscription_Click(object sender, RoutedEventArgs e)
        {
            string mail = email.LeContenu.Text;
            string password = mdp.Password;
            string conf = reMdp.Password;
            if (password != conf)
            {
                MessageBox.Show("Les mots de passe doivent être identiques");
            }
            else
            {
                Utilisateur user = new Utilisateur(mail, password);
                if (MgrUser.AjouterUtilisateur(user))
                {
                    MgrUser.SelectedUser = user;
                    Close();
                }
                else
                {
                    MessageBox.Show("Cet utilisateur existe déjà");
                }
            }
        }
    }
}
