﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour SeConnecter.xaml
    /// </summary>
    public partial class SeConnecter : Window
    {

        public ManagerUsers Mgr => (Application.Current as App).LeManagerUser;
        public SeConnecter()
        {
            InitializeComponent();
            Mgr.LoadUsers();

            DataContext = Mgr;
        }

        private void exit_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void Inscription_Click(object sender, RoutedEventArgs e)
        {
            var inscrireWindow = new CreerCompte();
            Close();
            inscrireWindow.ShowDialog();
        }

        private void connect_Click(object sender, RoutedEventArgs e)
        {
            string email = mail.LeContenu.Text;
            string password = mdp.Password;
            if (string.IsNullOrWhiteSpace(email) || string.IsNullOrWhiteSpace(password))
            {
                MessageBox.Show("Veuillez remplir toutes les cases");
                return;
            }
            foreach(Personne p in Mgr.Utilisateurs)
            {
                if (p.Email==email && password == p.MotDePasse)
                {
                    Mgr.SelectedUser = p;
                    Close();
                    return;
                }
            }
            MessageBox.Show("L'Email ou le mot de passe est incorrect");
        }
    }
}
