﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour ValiderSubmit.xaml
    /// </summary>
    /// 

    public partial class ValiderSubmit : Window
    {



        public ManagerAddEdit MgrAddEdit => (Application.Current as App).LeManagerAddEdit;
        public ValiderSubmit()
        {
            InitializeComponent();

            MgrAddEdit.LoadRequins();

            DataContext = MgrAddEdit;


            chargerUC();

            
        }

        public void ContentControlSwapDes(Requin req)
        {
            contentControl.Content = new userControlDescription { requin = req };
        }

        private void exit_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        public void chargerUC()
        {
            foreach (Requin req in MgrAddEdit.RequinsAdd)
            {
                laListe.Items.Add(new UserControlRequin { requin = req, type=UCrequinType.add });
            }
            foreach (Requin req in MgrAddEdit.RequinsEdit)
            {
                laListe.Items.Add(new UserControlRequin { requin = req, type = UCrequinType.edit });
            }
        }

        

        public void PremierRequin()
        {
            if (MgrAddEdit.RequinsAdd.Count > 0)
            {
                contentControl.Content = new UCRequinValSubmit { requin = MgrAddEdit.RequinsAdd[0] };
            }
            else if (MgrAddEdit.RequinsEdit.Count > 0)
            {
                contentControl.Content = new UCRequinValSubmit { requin = MgrAddEdit.RequinsEdit[0] };
            }
            else
            {
                MessageBox.Show("Tous les requins ont été ajouté");
            }
        }
    }
}
